INN

The InterNetNews package (INN) is a complete Usenet system. It includes innd, an NNTP server, and nnrpd, a newsreading server. INN separates hosts that feed you news from those that have users reading news. INN was originally written by Rich Salz (grab the USENIX paper Rich wrote about it here: [http://ftp.isc.org/isc/inn/extra-docs/innusenix.pdf]). ISC took over development of INN in 1996 after Rich was unable to continue supporting it and many variants of the software were forming.

Initial Build Plan for Bud

  1. Download INN from isc.org 09/18/2013
  2. Prepare configuration - 09/19/2013
  3. Determine dependencies - 09/19/2013

organization:

ME:!local.*::
out.going.site:*,!local.*:Tf,Wnm:
* Add a descriptive entry to newsgroups

09/20/2013

restarting inn

Retrying TIN

09/23/2013

I determined that the issue was not the server, but the TIN client configuration. After setting the NNTPSERVER env to 'local' host and using rtin instead of tin, everything worked fine.

Configured 'local.sluug.discuss' and posted a test message. Posted good and read with rtin.

I configured my remote client on my PC to point to port 119 on bud.sluug.org and it appears that the external port may be blocked. I did an ssh to tunnel to localhost:119 and everything works great!

So now we need a news feed.. :)

09/24/2013

Continued to work on basic configuration.

In particular the readers.conf file to allow only authorized users to access the server.

1.) configured the /etc/news/readers.conf file. See contents for changes. 2.) created a newsusers file (see /etc/news/readers.com) for location. 3.) Prepared a script in my bin directory to add entries (users:password) to the newsusers file. 4.) Ran a test from home using forte agent. All post/read/overview features work great! 5.) Uploaded a binary image (Apple.png) - all worked great up, retrieved and the image looked great. 6.) Tried invalid passwords, blocked as expected.

Created new groups with: root@bud:~ # /usr/lib/news/bin/ctlinnd newgroup local.sluug.discuss # /usr/lib/news/bin/ctlinnd newgroup local.sluug.steercom # /usr/lib/news/bin/ctlinnd newgroup local.sluug.sysadmin

edit /var/lib/news/newsgroups to add descriptions.

Did a connect via rtin and agent. Look good.

Ready for users to connect.

Suck is available via zyypr, installed and did a quick check. (see log)

Looks like we need a newserver! Need to talk with steercom on this. We are going to need a generic email to get a free feed for 30days.

TODO:

  1. Configure SLUUG remaing groups
  2. Look into 'suck' for downloading news groups
  3. Test configuration
  4. Open Alpha test program for sluug groups
  5. Determine best fit for news-feed
  6. Determine subscriptions and DASD requirements
  7. Implement feed
  8. Open Beta Test program
  9. Analyze performance and project usage/requirements
  10. Open to production usage

There is the possibility that INN is overkill for our needs. During the build out we should look for alternatives that may be lighter wieght.

Install Logs:

09/19/2013 Installing innd:

zypper install bison (install notes lost in page back but was successful)

# zypper install perl-GnuPG-Interface Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW packages are going to be installed:

perl-Algorithm-C3 perl-Any-Moose perl-Class-C3 perl-Class-C3-XS perl-Data-OptList
perl-Devel-GlobalDestruction perl-Eval-Closure perl-GnuPG-Interface perl-List-MoreUtils
perl-MRO-Compat perl-Moose perl-Package-DeprecationManager perl-Package-Generator
perl-Package-Stash perl-Package-Stash-XS perl-Perl-Tidy perl-Scope-Guard perl-Sub-Exporter
perl-Sub-Install perl-Sub-Name perl-Task-Weaken perl-Try-Tiny

The following recommended package was automatically selected:

perl-Perl-Tidy

22 new packages to install. Overall download size: 1.6 MiB. After the operation, additional 4.0 MiB will be used. Continue? [y/n/?] (y): y Retrieving package perl-Try-Tiny-0.12-24.1.noarch (1/22), 21.0 KiB (23.0 KiB unpacked) Retrieving: perl-Try-Tiny-0.12-24.1.noarch.rpm [done (4.1 KiB/s)] Retrieving package perl-Class-C3-XS-0.13-8.1.3.i586 (2/22), 18.0 KiB (29.0 KiB unpacked) Retrieving: perl-Class-C3-XS-0.13-8.1.3.i586.rpm [done] Retrieving package perl-List-MoreUtils-0.32-2.1.3.i586 (3/22), 50.0 KiB (147.0 KiB unpacked) Retrieving: perl-List-MoreUtils-0.32-2.1.3.i586.rpm [done] Retrieving package perl-Package-Stash-XS-0.22-5.1.3.i586 (4/22), 26.0 KiB (52.0 KiB unpacked) Retrieving: perl-Package-Stash-XS-0.22-5.1.3.i586.rpm [done] Retrieving package perl-Scope-Guard-0.20-6.1.2.i586 (5/22), 10.0 KiB (9.0 KiB unpacked) Retrieving: perl-Scope-Guard-0.20-6.1.2.i586.rpm [done] Retrieving package perl-Sub-Name-0.05-18.1.3.i586 (6/22), 13.0 KiB (15.0 KiB unpacked) Retrieving: perl-Sub-Name-0.05-18.1.3.i586.rpm [done] Retrieving package perl-Task-Weaken-1.04-10.1.2.i586 (7/22), 17.0 KiB (29.0 KiB unpacked) Retrieving: perl-Task-Weaken-1.04-10.1.2.i586.rpm [done] Retrieving package perl-Algorithm-C3-0.08-8.1.2.noarch (8/22), 13.0 KiB (16.0 KiB unpacked) Retrieving: perl-Algorithm-C3-0.08-8.1.2.noarch.rpm [done] Retrieving package perl-Package-Generator-0.103-9.1.2.noarch (9/22), 21.0 KiB (35.0 KiB unpacked) Retrieving: perl-Package-Generator-0.103-9.1.2.noarch.rpm [done] Retrieving package perl-Perl-Tidy-20090616-6.1.2.noarch (10/22), 305.0 KiB (1.3 MiB unpacked) Retrieving: perl-Perl-Tidy-20090616-6.1.2.noarch.rpm [done] Retrieving package perl-Sub-Install-0.925-9.1.2.noarch (11/22), 19.0 KiB (33.0 KiB unpacked) Retrieving: perl-Sub-Install-0.925-9.1.2.noarch.rpm [done] Retrieving package perl-Class-C3-0.23-8.1.2.noarch (12/22), 25.0 KiB (47.0 KiB unpacked) Retrieving: perl-Class-C3-0.23-8.1.2.noarch.rpm [done] Retrieving package perl-Package-DeprecationManager-0.10-8.1.3.noarch (13/22), 15.0 KiB (22.0 KiB unpacked) Retrieving: perl-Package-DeprecationManager-0.10-8.1.3.noarch.rpm [done (0 B/s)] Retrieving package perl-Data-OptList-0.106-9.1.2.noarch (14/22), 19.0 KiB (34.0 KiB unpacked) Retrieving: perl-Data-OptList-0.106-9.1.2.noarch.rpm [done] Retrieving package perl-MRO-Compat-0.11-7.1.2.noarch (15/22), 15.0 KiB (22.0 KiB unpacked) Retrieving: perl-MRO-Compat-0.11-7.1.2.noarch.rpm [done] Retrieving package perl-Package-Stash-0.29-2.1.3.noarch (16/22), 28.0 KiB (51.0 KiB unpacked) Retrieving: perl-Package-Stash-0.29-2.1.3.noarch.rpm [done] Retrieving package perl-Sub-Exporter-0.982-9.1.3.noarch (17/22), 56.0 KiB (109.0 KiB unpacked) Retrieving: perl-Sub-Exporter-0.982-9.1.3.noarch.rpm [done] Retrieving package perl-Eval-Closure-0.05-5.1.3.noarch (18/22), 19.0 KiB (31.0 KiB unpacked) Retrieving: perl-Eval-Closure-0.05-5.1.3.noarch.rpm [done] Retrieving package perl-Devel-GlobalDestruction-0.03-7.1.3.i586 (19/22), 9.0 KiB (5.0 KiB unpacked) Retrieving: perl-Devel-GlobalDestruction-0.03-7.1.3.i586.rpm [done] Retrieving package perl-Moose-2.0010-2.1.3.i586 (20/22), 797.0 KiB (1.8 MiB unpacked) Retrieving: perl-Moose-2.0010-2.1.3.i586.rpm [done (0 B/s)] Retrieving package perl-Any-Moose-0.17-2.4.1.noarch (21/22), 19.0 KiB (32.0 KiB unpacked) Retrieving: perl-Any-Moose-0.17-2.4.1.noarch.rpm [done] Retrieving package perl-GnuPG-Interface-0.44-2.1.3.noarch (22/22), 74.0 KiB (165.0 KiB unpacked) Retrieving: perl-GnuPG-Interface-0.44-2.1.3.noarch.rpm [done] Installing: perl-Try-Tiny-0.12-24.1 [done] Installing: perl-Class-C3-XS-0.13-8.1.3 [done] Installing: perl-List-MoreUtils-0.32-2.1.3 [done] Installing: perl-Package-Stash-XS-0.22-5.1.3 [done] Installing: perl-Scope-Guard-0.20-6.1.2 [done] Installing: perl-Sub-Name-0.05-18.1.3 [done] Installing: perl-Task-Weaken-1.04-10.1.2 [done] Installing: perl-Algorithm-C3-0.08-8.1.2 [done] Installing: perl-Package-Generator-0.103-9.1.2 [done] Installing: perl-Perl-Tidy-20090616-6.1.2 [done] Installing: perl-Sub-Install-0.925-9.1.2 [done] Installing: perl-Class-C3-0.23-8.1.2 [done] Installing: perl-Package-DeprecationManager-0.10-8.1.3 [done] Installing: perl-Data-OptList-0.106-9.1.2 [done] Installing: perl-MRO-Compat-0.11-7.1.2 [done] Installing: perl-Package-Stash-0.29-2.1.3 [done] Installing: perl-Sub-Exporter-0.982-9.1.3 [done] Installing: perl-Eval-Closure-0.05-5.1.3 [done] Installing: perl-Devel-GlobalDestruction-0.03-7.1.3 [done] Installing: perl-Moose-2.0010-2.1.3 [done] Installing: perl-Any-Moose-0.17-2.4.1 [done] Installing: perl-GnuPG-Interface-0.44-2.1.3 [done]

# zypper install python-GnuPG-Interface Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW package is going to be installed:

python-GnuPG-Interface

1 new package to install. Overall download size: 24.0 KiB. After the operation, additional 77.0 KiB will be used. Continue? [y/n/?] (y): y Retrieving package python-GnuPG-Interface-0.3.2-130.1.2.noarch (1/1), 24.0 KiB (77.0 KiB unpacked) Retrieving: python-GnuPG-Interface-0.3.2-130.1.2.noarch.rpm [done] Installing: python-GnuPG-Interface-0.3.2-130.1.2 [done]

# zypper install python-gnupg Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW package is going to be installed:

python-gnupg

1 new package to install. Overall download size: 22.0 KiB. After the operation, additional 72.0 KiB will be used. Continue? [y/n/?] (y): y Retrieving package python-gnupg-0.2.8-2.1.1.noarch (1/1), 22.0 KiB (72.0 KiB unpacked) Retrieving: python-gnupg-0.2.8-2.1.1.noarch.rpm [done (0 B/s)] Installing: python-gnupg-0.2.8-2.1.1 [done]

# zypper install vim-plugin-gnupg Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW package is going to be installed:

vim-plugin-gnupg

1 new package to install. Overall download size: 13.0 KiB. After the operation, additional 37.0 KiB will be used. Continue? [y/n/?] (y): y Retrieving package vim-plugin-gnupg-3026-11.6.1.noarch (1/1), 13.0 KiB (37.0 KiB unpacked) Retrieving: vim-plugin-gnupg-3026-11.6.1.noarch.rpm [done] Installing: vim-plugin-gnupg-3026-11.6.1 [done]

root@bud:~ # grep news /etc/group news:x:13:

root@bud:~ # logout

edw@bud:/ $ grep news /etc/passwd news:x:9:13:News system:/etc/news:/bin/bash

edw@bud:/ $ zypper search inn Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages...

S | Name | Summary | Type --+------------------+-----------------------------------------------------+-----------

| inn              | InterNetNews                                        | package
| inn              | InterNetNews                                        | srcpackage
| inn-devel        | InterNetNews development files                      | package
| ispell-finnish   | Finnish ispell dictionary                           | package
| perl-Class-Inner | A perlish implementation of Java like inner classes | package

edw@bud:/ $ su - Password:

root@bud:~ # zypper install inn Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW package is going to be installed:

inn

1 new package to install. Overall download size: 1.7 MiB. After the operation, additional 8.1 MiB will be used. Continue? [y/n/?] (y): y Retrieving package inn-2.5.2-9.4.1.i586 (1/1), 1.7 MiB (8.1 MiB unpacked) Retrieving: inn-2.5.2-9.4.1.i586.rpm [done (0 B/s)] Installing: inn-2.5.2-9.4.1 [done] Additional rpm output: Starting SuSEconfig, the SuSE Configuration Tool... Running module permissions only Reading /etc/sysconfig and updating the system... Executing /sbin/conf.d/SuSEconfig.permissions... Finished.

root@bud:~ # zypper install inn-devel Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW package is going to be installed:

inn-devel

1 new package to install. Overall download size: 453.0 KiB. After the operation, additional 1.6 MiB will be used. Continue? [y/n/?] (y): y Retrieving package inn-devel-2.5.2-9.4.1.i586 (1/1), 453.0 KiB (1.6 MiB unpacked) Retrieving: inn-devel-2.5.2-9.4.1.i586.rpm [done] Installing: inn-devel-2.5.2-9.4.1 [done]

# zypper install tin Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW packages are going to be installed:

metamail sharutils sharutils-lang tin

The following recommended package was automatically selected:

sharutils-lang

4 new packages to install. Overall download size: 871.0 KiB. After the operation, additional 2.9 MiB will be used. Continue? [y/n/?] (y): y Retrieving package sharutils-4.11.1-3.1.2.i586 (1/4), 79.0 KiB (159.0 KiB unpacked) Retrieving: sharutils-4.11.1-3.1.2.i586.rpm [done (0 B/s)] Retrieving package sharutils-lang-4.11.1-3.1.2.i586 (2/4), 86.0 KiB (440.0 KiB unpacked) Retrieving: sharutils-lang-4.11.1-3.1.2.i586.rpm [done] Retrieving package metamail-2.7.19-1257.1.3.i586 (3/4), 147.0 KiB (412.0 KiB unpacked) Retrieving: metamail-2.7.19-1257.1.3.i586.rpm [done] Retrieving package tin-1.8.3-62.1.3.i586 (4/4), 559.0 KiB (1.9 MiB unpacked) Retrieving: tin-1.8.3-62.1.3.i586.rpm [done (0 B/s)] Installing: sharutils-4.11.1-3.1.2 [done] Installing: sharutils-lang-4.11.1-3.1.2 [done] Installing: metamail-2.7.19-1257.1.3 [done] Installing: tin-1.8.3-62.1.3 [done]

root@bud:/usr/lib/news/bin # zypper install pan Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW packages are going to be installed:

PackageKit-gtk-module PackageKit-gtk3-module bundle-lang-gnome-en bundle-lang-gnome-extras-en
cups-libs fuse gdk-pixbuf-query-loaders gnome-icon-theme gnome-icon-theme-extras
gnome-icon-theme-symbolic gnome-keyring gnome-keyring-pam gtk2-branding-openSUSE gtk2-data
gtk2-engines gtk2-immodule-amharic gtk2-immodule-inuktitut gtk2-immodule-thai
gtk2-immodule-vietnamese gtk2-metatheme-adwaita gtk2-tools gtk3-branding-openSUSE gtk3-data
gtk3-immodule-amharic gtk3-immodule-inuktitut gtk3-immodule-thai gtk3-immodule-vietnamese
gtk3-metatheme-adwaita gtk3-theming-engine-adwaita gtk3-tools gvfs gvfs-backend-afc gvfs-backends
gvfs-fuse hunspell hunspell-tools libaspell15 libatasmart4 libatk-1_0-0 libavahi-client3
libavahi-common3 libavahi-glib1 libbluetooth3 libcairo-gobject2 libcdio12 libcdio_cdda0
libcdio_paranoia0 libcolord1 libenchant1 libexif12 libfuse2 libgck-1-0 libgck-modules libgcr-3-1
libgdk_pixbuf-2_0-0 libgdu0 libgmime-2_4-2 libgnome-keyring0 libgphoto2 libgtk-2_0-0 libgtk-3-0
libgtkspell0 libgvfscommon0 liblockdev1 libopenobex1 libsmbclient0 libsoup-2_4-1 lockdev
metatheme-adwaita-common obex-data-server p11-kit-module-gnome-keyring pan sg3_utils udisks

The following recommended packages were automatically selected:

bundle-lang-gnome-en bundle-lang-gnome-extras-en gnome-keyring gnome-keyring-pam
gtk2-branding-openSUSE gtk2-data gtk2-immodule-amharic gtk2-immodule-inuktitut gtk2-immodule-thai
gtk2-immodule-vietnamese gtk3-branding-openSUSE gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gvfs gvfs-backend-afc gvfs-backends gvfs-fuse
hunspell-tools libgck-modules obex-data-server

The following package is recommended, but will not be installed:

pan-lang

74 new packages to install. Overall download size: 27.0 MiB. After the operation, additional 137.2 MiB will be used. Continue? [y/n/?] (y): y Retrieving package gdk-pixbuf-query-loaders-2.24.0-2.4.1.i586 (1/74), 15.0 KiB (11.0 KiB unpacked) Retrieving: gdk-pixbuf-query-loaders-2.24.0-2.4.1.i586.rpm [done] Retrieving package libcolord1-0.1.15-2.5.1.i586 (2/74), 52.0 KiB (172.0 KiB unpacked) Retrieving: libcolord1-0.1.15-2.5.1.i586.rpm [done] Retrieving package libexif12-0.6.20-10.4.1.i586 (3/74), 259.0 KiB (1.4 MiB unpacked) Retrieving: libexif12-0.6.20-10.4.1.i586.rpm [done (0 B/s)] Retrieving package libgck-1-0-3.2.1-2.6.1.i586 (4/74), 80.0 KiB (143.0 KiB unpacked) Retrieving: libgck-1-0-3.2.1-2.6.1.i586.rpm [done] Retrieving package libsmbclient0-3.6.3-34.20.1.i586 (5/74), 1.5 MiB (5.9 MiB unpacked) Retrieving: libsmbclient0-3.6.3-34.20.1.i586.rpm [done] Retrieving package gtk2-data-2.24.7-2.5.1.noarch (6/74), 60.0 KiB (4.0 KiB unpacked) Retrieving: gtk2-data-2.24.7-2.5.1.noarch.rpm [done (0 B/s)] Retrieving package gtk3-data-3.2.1-2.5.1.noarch (7/74), 50.0 KiB (7.0 KiB unpacked) Retrieving: gtk3-data-3.2.1-2.5.1.noarch.rpm [done] Retrieving package libgdk_pixbuf-2_0-0-2.24.0-2.4.1.i586 (8/74), 170.0 KiB (476.0 KiB unpacked) Retrieving: libgdk_pixbuf-2_0-0-2.24.0-2.4.1.i586.rpm [done (0 B/s)] Retrieving package libgck-modules-3.2.1-2.6.1.i586 (9/74), 388.0 KiB (2.3 MiB unpacked) Retrieving: libgck-modules-3.2.1-2.6.1.i586.rpm [done] Retrieving package cups-libs-1.5.0-2.1.3.i586 (10/74), 590.0 KiB (4.0 MiB unpacked) Retrieving: cups-libs-1.5.0-2.1.3.i586.rpm [done (2.2 MiB/s)] Retrieving package fuse-2.8.5-16.1.2.i586 (11/74), 68.0 KiB (212.0 KiB unpacked) Retrieving: fuse-2.8.5-16.1.2.i586.rpm [done] Retrieving package hunspell-1.3.2-6.1.2.i586 (12/74), 168.0 KiB (463.0 KiB unpacked) Retrieving: hunspell-1.3.2-6.1.2.i586.rpm [done (0 B/s)] Retrieving package libaspell15-0.60.6.1-2.1.2.i586 (13/74), 314.0 KiB (2.0 MiB unpacked) Retrieving: libaspell15-0.60.6.1-2.1.2.i586.rpm [done] Retrieving package libatasmart4-0.17-12.1.3.i586 (14/74), 33.0 KiB (78.0 KiB unpacked) Retrieving: libatasmart4-0.17-12.1.3.i586.rpm [done] Retrieving package libatk-1_0-0-2.2.0-2.1.3.i586 (15/74), 92.0 KiB (343.0 KiB unpacked) Retrieving: libatk-1_0-0-2.2.0-2.1.3.i586.rpm [done] Retrieving package libavahi-common3-0.6.30-10.1.3.i586 (16/74), 28.0 KiB (50.0 KiB unpacked) Retrieving: libavahi-common3-0.6.30-10.1.3.i586.rpm [done] Retrieving package libbluetooth3-4.96-6.1.3.i586 (17/74), 98.0 KiB (193.0 KiB unpacked) Retrieving: libbluetooth3-4.96-6.1.3.i586.rpm [done] Retrieving package libcairo-gobject2-1.10.2-14.1.3.i586 (18/74), 20.0 KiB (32.0 KiB unpacked) Retrieving: libcairo-gobject2-1.10.2-14.1.3.i586.rpm [done] Retrieving package libcdio12-0.82-12.1.2.i586 (19/74), 53.0 KiB (127.0 KiB unpacked) Retrieving: libcdio12-0.82-12.1.2.i586.rpm [done] Retrieving package libfuse2-2.8.5-16.1.2.i586 (20/74), 61.0 KiB (188.0 KiB unpacked) Retrieving: libfuse2-2.8.5-16.1.2.i586.rpm [done] Retrieving package libgmime-2_4-2-2.4.26-2.1.2.i586 (21/74), 208.0 KiB (716.0 KiB unpacked) Retrieving: libgmime-2_4-2-2.4.26-2.1.2.i586.rpm [done (0 B/s)] Retrieving package libgnome-keyring0-3.2.0-2.1.2.i586 (22/74), 80.0 KiB (250.0 KiB unpacked) Retrieving: libgnome-keyring0-3.2.0-2.1.2.i586.rpm [done] Retrieving package liblockdev1-1.0.3_git201003141408-15.1.2.i586 (23/74), 10.0 KiB (14.0 KiB unpacked) Retrieving: liblockdev1-1.0.3_git201003141408-15.1.2.i586.rpm [done] Retrieving package libopenobex1-1.5-9.1.3.i586 (24/74), 35.0 KiB (89.0 KiB unpacked) Retrieving: libopenobex1-1.5-9.1.3.i586.rpm [done] Retrieving package sg3_utils-1.31-3.1.2.i586 (25/74), 500.0 KiB (1.4 MiB unpacked) Retrieving: sg3_utils-1.31-3.1.2.i586.rpm [done] Retrieving package bundle-lang-gnome-en-12.1-41.5.1.noarch (26/74), 998.0 KiB (5.8 MiB unpacked) Retrieving: bundle-lang-gnome-en-12.1-41.5.1.noarch.rpm [done (0 B/s)] Retrieving package bundle-lang-gnome-extras-en-12.1-41.5.1.noarch (27/74), 1.6 MiB (7.8 MiB unpacked) Retrieving: bundle-lang-gnome-extras-en-12.1-41.5.1.noarch.rpm [done (0 B/s)] Retrieving package metatheme-adwaita-common-3.2.1-2.1.2.noarch (28/74), 366.0 KiB (1.4 MiB unpacked) Retrieving: metatheme-adwaita-common-3.2.1-2.1.2.noarch.rpm [done (0 B/s)] Retrieving package hunspell-tools-1.3.2-6.1.2.i586 (29/74), 32.0 KiB (85.0 KiB unpacked) Retrieving: hunspell-tools-1.3.2-6.1.2.i586.rpm [done] Retrieving package libenchant1-1.6.0-12.1.2.i586 (30/74), 60.0 KiB (150.0 KiB unpacked) Retrieving: libenchant1-1.6.0-12.1.2.i586.rpm [done] Retrieving package libavahi-glib1-0.6.30-10.1.2.i586 (31/74), 10.0 KiB (14.0 KiB unpacked) Retrieving: libavahi-glib1-0.6.30-10.1.2.i586.rpm [done] Retrieving package libavahi-client3-0.6.30-10.1.3.i586 (32/74), 31.0 KiB (66.0 KiB unpacked) Retrieving: libavahi-client3-0.6.30-10.1.3.i586.rpm [done] Retrieving package libcdio_cdda0-0.82-12.1.2.i586 (33/74), 18.0 KiB (30.0 KiB unpacked) Retrieving: libcdio_cdda0-0.82-12.1.2.i586.rpm [done] Retrieving package libsoup-2_4-1-2.36.1-2.1.3.i586 (34/74), 220.0 KiB (589.0 KiB unpacked) Retrieving: libsoup-2_4-1-2.36.1-2.1.3.i586.rpm [done] Retrieving package lockdev-1.0.3_git201003141408-15.1.2.i586 (35/74), 17.0 KiB (33.0 KiB unpacked) Retrieving: lockdev-1.0.3_git201003141408-15.1.2.i586.rpm [done (211.2 KiB/s)] Retrieving package obex-data-server-0.4.6-3.1.2.i586 (36/74), 88.0 KiB (277.0 KiB unpacked) Retrieving: obex-data-server-0.4.6-3.1.2.i586.rpm [done] Retrieving package libcdio_paranoia0-0.82-12.1.2.i586 (37/74), 18.0 KiB (30.0 KiB unpacked) Retrieving: libcdio_paranoia0-0.82-12.1.2.i586.rpm [done (0 B/s)] Retrieving package libgphoto2-2.4.11-6.1.3.i586 (38/74), 753.0 KiB (3.4 MiB unpacked) Retrieving: libgphoto2-2.4.11-6.1.3.i586.rpm [done] Retrieving package gtk2-tools-2.24.7-2.5.1.i586 (39/74), 74.0 KiB (38.0 KiB unpacked) Retrieving: gtk2-tools-2.24.7-2.5.1.i586.rpm [done] Retrieving package gtk3-tools-3.2.1-2.5.1.i586 (40/74), 63.0 KiB (38.0 KiB unpacked) Retrieving: gtk3-tools-3.2.1-2.5.1.i586.rpm [done (0 B/s)] Retrieving package udisks-1.0.4-2.4.1.i586 (41/74), 171.0 KiB (645.0 KiB unpacked) Retrieving: udisks-1.0.4-2.4.1.i586.rpm [done] Retrieving package libgvfscommon0-1.10.1-2.4.1.i586 (42/74), 61.0 KiB (117.0 KiB unpacked) Retrieving: libgvfscommon0-1.10.1-2.4.1.i586.rpm [done] Retrieving package libgtk-2_0-0-2.24.7-2.5.1.i586 (43/74), 2.3 MiB (8.2 MiB unpacked) Retrieving: libgtk-2_0-0-2.24.7-2.5.1.i586.rpm [done (535.0 KiB/s)] Retrieving package libgtk-3-0-3.2.1-2.5.1.i586 (44/74), 1.9 MiB (6.4 MiB unpacked) Retrieving: libgtk-3-0-3.2.1-2.5.1.i586.rpm [done (0 B/s)] Retrieving package gvfs-1.10.1-2.4.1.i586 (45/74), 192.0 KiB (645.0 KiB unpacked) Retrieving: gvfs-1.10.1-2.4.1.i586.rpm [done] Retrieving package gtk2-immodule-vietnamese-2.24.7-2.5.1.i586 (46/74), 61.0 KiB (8.0 KiB unpacked) Retrieving: gtk2-immodule-vietnamese-2.24.7-2.5.1.i586.rpm [done] Retrieving package gtk2-immodule-thai-2.24.7-2.5.1.i586 (47/74), 62.0 KiB (14.0 KiB unpacked) Retrieving: gtk2-immodule-thai-2.24.7-2.5.1.i586.rpm [done] Retrieving package gtk2-immodule-inuktitut-2.24.7-2.5.1.i586 (48/74), 61.0 KiB (8.0 KiB unpacked) Retrieving: gtk2-immodule-inuktitut-2.24.7-2.5.1.i586.rpm [done] Retrieving package gtk2-immodule-amharic-2.24.7-2.5.1.i586 (49/74), 62.0 KiB (19.0 KiB unpacked) Retrieving: gtk2-immodule-amharic-2.24.7-2.5.1.i586.rpm [done] Retrieving package PackageKit-gtk-module-0.6.19-2.6.1.i586 (50/74), 59.0 KiB (14.0 KiB unpacked) Retrieving: PackageKit-gtk-module-0.6.19-2.6.1.i586.rpm [done (0 B/s)] Retrieving package libgcr-3-1-3.2.1-2.6.1.i586 (51/74), 199.0 KiB (508.0 KiB unpacked) Retrieving: libgcr-3-1-3.2.1-2.6.1.i586.rpm [done] Retrieving package gtk3-immodule-vietnamese-3.2.1-2.5.1.i586 (52/74), 50.0 KiB (8.0 KiB unpacked) Retrieving: gtk3-immodule-vietnamese-3.2.1-2.5.1.i586.rpm [done (0 B/s)] Retrieving package gtk3-immodule-thai-3.2.1-2.5.1.i586 (53/74), 51.0 KiB (14.0 KiB unpacked) Retrieving: gtk3-immodule-thai-3.2.1-2.5.1.i586.rpm [done] Retrieving package gtk3-immodule-inuktitut-3.2.1-2.5.1.i586 (54/74), 49.0 KiB (8.0 KiB unpacked) Retrieving: gtk3-immodule-inuktitut-3.2.1-2.5.1.i586.rpm [done] Retrieving package gtk3-immodule-amharic-3.2.1-2.5.1.i586 (55/74), 51.0 KiB (19.0 KiB unpacked) Retrieving: gtk3-immodule-amharic-3.2.1-2.5.1.i586.rpm [done] Retrieving package PackageKit-gtk3-module-0.6.19-2.6.1.i586 (56/74), 59.0 KiB (14.0 KiB unpacked) Retrieving: PackageKit-gtk3-module-0.6.19-2.6.1.i586.rpm [done] Retrieving package gvfs-fuse-1.10.1-2.4.1.i586 (57/74), 33.0 KiB (31.0 KiB unpacked) Retrieving: gvfs-fuse-1.10.1-2.4.1.i586.rpm [done] Retrieving package gvfs-backend-afc-1.10.1-2.4.1.i586 (58/74), 86.0 KiB (218.0 KiB unpacked) Retrieving: gvfs-backend-afc-1.10.1-2.4.1.i586.rpm [done] Retrieving package gnome-keyring-3.2.1-2.6.1.i586 (59/74), 488.0 KiB (1.9 MiB unpacked) Retrieving: gnome-keyring-3.2.1-2.6.1.i586.rpm [done (1.1 MiB/s)] Retrieving package p11-kit-module-gnome-keyring-3.2.1-2.6.1.i586 (60/74), 52.0 KiB (70.0 KiB unpacked) Retrieving: p11-kit-module-gnome-keyring-3.2.1-2.6.1.i586.rpm [done] Retrieving package gnome-keyring-pam-3.2.1-2.6.1.i586 (61/74), 50.0 KiB (42.0 KiB unpacked) Retrieving: gnome-keyring-pam-3.2.1-2.6.1.i586.rpm [done (0 B/s)] Retrieving package libgdu0-3.0.2-2.2.2.i586 (62/74), 280.0 KiB (1.7 MiB unpacked) Retrieving: libgdu0-3.0.2-2.2.2.i586.rpm [done (694.4 KiB/s)] Retrieving package libgtkspell0-2.0.16-7.1.2.i586 (63/74), 24.0 KiB (51.0 KiB unpacked) Retrieving: libgtkspell0-2.0.16-7.1.2.i586.rpm [done] Retrieving package gtk2-engines-2.20.2-7.1.2.i586 (64/74), 357.0 KiB (1.9 MiB unpacked) Retrieving: gtk2-engines-2.20.2-7.1.2.i586.rpm [done] Retrieving package gnome-icon-theme-3.2.1.2-1.2.noarch (65/74), 9.2 MiB (66.7 MiB unpacked) Retrieving: gnome-icon-theme-3.2.1.2-1.2.noarch.rpm [done (4.3 MiB/s)] Retrieving package gtk3-theming-engine-adwaita-3.2.1-2.1.2.i586 (66/74), 17.0 KiB (22.0 KiB unpacked) Retrieving: gtk3-theming-engine-adwaita-3.2.1-2.1.2.i586.rpm [done] Retrieving package gtk2-metatheme-adwaita-3.2.1-2.1.2.noarch (67/74), 12.0 KiB (12.0 KiB unpacked) Retrieving: gtk2-metatheme-adwaita-3.2.1-2.1.2.noarch.rpm [done] Retrieving package gnome-icon-theme-symbolic-3.2.1-1.1.noarch (68/74), 102.0 KiB (1.0 MiB unpacked) Retrieving: gnome-icon-theme-symbolic-3.2.1-1.1.noarch.rpm [done (0 B/s)] Retrieving package gnome-icon-theme-extras-3.0.0-3.1.1.noarch (69/74), 751.0 KiB (826.0 KiB unpacked) Retrieving: gnome-icon-theme-extras-3.0.0-3.1.1.noarch.rpm [done] Retrieving package gtk3-metatheme-adwaita-3.2.1-2.1.2.noarch (70/74), 47.0 KiB (585.0 KiB unpacked) Retrieving: gtk3-metatheme-adwaita-3.2.1-2.1.2.noarch.rpm [done] Retrieving package gtk2-branding-openSUSE-12.1-4.1.1.noarch (71/74), 7.0 KiB (2.0 KiB unpacked) Retrieving: gtk2-branding-openSUSE-12.1-4.1.1.noarch.rpm [done (0 B/s)] Retrieving package gtk3-branding-openSUSE-12.1-5.1.1.noarch (72/74), 7.0 KiB (2.0 KiB unpacked) Retrieving: gtk3-branding-openSUSE-12.1-5.1.1.noarch.rpm [done] Retrieving package gvfs-backends-1.10.1-2.4.1.i586 (73/74), 570.0 KiB (3.4 MiB unpacked) Retrieving: gvfs-backends-1.10.1-2.4.1.i586.rpm [done (0 B/s)] Retrieving package pan-0.135-3.3.1.i586 (74/74), 601.0 KiB (2.0 MiB unpacked) Retrieving: pan-0.135-3.3.1.i586.rpm [done (0 B/s)] Installing: gdk-pixbuf-query-loaders-2.24.0-2.4.1 [done] Installing: libcolord1-0.1.15-2.5.1 [done] Installing: libexif12-0.6.20-10.4.1 [done] Installing: libgck-1-0-3.2.1-2.6.1 [done] Installing: libsmbclient0-3.6.3-34.20.1 [done] Installing: gtk2-data-2.24.7-2.5.1 [done] Installing: gtk3-data-3.2.1-2.5.1 [done] Installing: libgdk_pixbuf-2_0-0-2.24.0-2.4.1 [done] Installing: libgck-modules-3.2.1-2.6.1 [done] Installing: cups-libs-1.5.0-2.1.3 [done] Installing: fuse-2.8.5-16.1.2 [done] Additional rpm output: Starting SuSEconfig, the SuSE Configuration Tool... Running module permissions only Reading /etc/sysconfig and updating the system... Executing /sbin/conf.d/SuSEconfig.permissions... Checking permissions and ownerships - using the permissions files

      /etc/permissions
      /etc/permissions.easy
      /etc/permissions.d/mail-server
      /etc/permissions.d/postfix
      /etc/permissions.local

setting /usr/bin/fusermount to root:trusted 4755. (wrong permissions 4750) Finished.

Installing: hunspell-1.3.2-6.1.2 [done] Installing: libaspell15-0.60.6.1-2.1.2 [done] Installing: libatasmart4-0.17-12.1.3 [done] Installing: libatk-1_0-0-2.2.0-2.1.3 [done] Installing: libavahi-common3-0.6.30-10.1.3 [done] Installing: libbluetooth3-4.96-6.1.3 [done] Installing: libcairo-gobject2-1.10.2-14.1.3 [done] Installing: libcdio12-0.82-12.1.2 [done] Installing: libfuse2-2.8.5-16.1.2 [done] Installing: libgmime-2_4-2-2.4.26-2.1.2 [done] Installing: libgnome-keyring0-3.2.0-2.1.2 [done] Installing: liblockdev1-1.0.3_git201003141408-15.1.2 [done] Installing: libopenobex1-1.5-9.1.3 [done] Installing: sg3_utils-1.31-3.1.2 [done] Installing: bundle-lang-gnome-en-12.1-41.5.1 [done] Installing: bundle-lang-gnome-extras-en-12.1-41.5.1 [done] Installing: metatheme-adwaita-common-3.2.1-2.1.2 [done] Installing: hunspell-tools-1.3.2-6.1.2 [done] Installing: libenchant1-1.6.0-12.1.2 [done] Installing: libavahi-glib1-0.6.30-10.1.2 [done] Installing: libavahi-client3-0.6.30-10.1.3 [done] Installing: libcdio_cdda0-0.82-12.1.2 [done] Installing: libsoup-2_4-1-2.36.1-2.1.3 [done] Installing: lockdev-1.0.3_git201003141408-15.1.2 [done] Installing: obex-data-server-0.4.6-3.1.2 [done] Installing: libcdio_paranoia0-0.82-12.1.2 [done] Installing: libgphoto2-2.4.11-6.1.3 [done] Installing: gtk2-tools-2.24.7-2.5.1 [done] Additional rpm output: update-alternatives: using /usr/bin/gtk-update-icon-cache-2.0 to provide /usr/bin/gtk-update-icon-cache (gtk-update-icon-cache) in auto mode.

Installing: gtk3-tools-3.2.1-2.5.1 [done] Additional rpm output: update-alternatives: using /usr/bin/gtk-update-icon-cache-3.0 to provide /usr/bin/gtk-update-icon-cache (gtk-update-icon-cache) in auto mode.

Installing: udisks-1.0.4-2.4.1 [done] Installing: libgvfscommon0-1.10.1-2.4.1 [done] Installing: libgtk-2_0-0-2.24.7-2.5.1 [done] Installing: libgtk-3-0-3.2.1-2.5.1 [done] Installing: gvfs-1.10.1-2.4.1 [done] Installing: gtk2-immodule-vietnamese-2.24.7-2.5.1 [done] Installing: gtk2-immodule-thai-2.24.7-2.5.1 [done] Installing: gtk2-immodule-inuktitut-2.24.7-2.5.1 [done] Installing: gtk2-immodule-amharic-2.24.7-2.5.1 [done] Installing: PackageKit-gtk-module-0.6.19-2.6.1 [done] Installing: libgcr-3-1-3.2.1-2.6.1 [done] Installing: gtk3-immodule-vietnamese-3.2.1-2.5.1 [done] Installing: gtk3-immodule-thai-3.2.1-2.5.1 [done] Installing: gtk3-immodule-inuktitut-3.2.1-2.5.1 [done] Installing: gtk3-immodule-amharic-3.2.1-2.5.1 [done] Installing: PackageKit-gtk3-module-0.6.19-2.6.1 [done] Installing: gvfs-fuse-1.10.1-2.4.1 [done] Installing: gvfs-backend-afc-1.10.1-2.4.1 [done] Installing: gnome-keyring-3.2.1-2.6.1 [done] Installing: p11-kit-module-gnome-keyring-3.2.1-2.6.1 [done] Installing: gnome-keyring-pam-3.2.1-2.6.1 [done] Installing: libgdu0-3.0.2-2.2.2 [done] Installing: libgtkspell0-2.0.16-7.1.2 [done] Installing: gtk2-engines-2.20.2-7.1.2 [done] Installing: gnome-icon-theme-3.2.1.2-1.2 [done] Installing: gtk3-theming-engine-adwaita-3.2.1-2.1.2 [done] Installing: gtk2-metatheme-adwaita-3.2.1-2.1.2 [done] Installing: gnome-icon-theme-symbolic-3.2.1-1.1 [done] Installing: gnome-icon-theme-extras-3.0.0-3.1.1 [done] Installing: gtk3-metatheme-adwaita-3.2.1-2.1.2 [done] Installing: gtk2-branding-openSUSE-12.1-4.1.1 [done] Installing: gtk3-branding-openSUSE-12.1-5.1.1 [done] Installing: gvfs-backends-1.10.1-2.4.1 [done] Installing: pan-0.135-3.3.1 [done]

09/20/2013

Install perl MIME modules:

# zypper install perl-MIME Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Package 'perl-MIME' not found. Resolving package dependencies...

Nothing to do.

root@bud:~ # zypper install perl-MIME-tools Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW packages are going to be installed:

perl-Convert-BinHex perl-IO-stringy perl-MIME-tools perl-MailTools

4 new packages to install. Overall download size: 427.0 KiB. After the operation, additional 947.0 KiB will be used. Continue? [y/n/?] (y): y Retrieving package perl-Convert-BinHex-1.119-17.1.2.i586 (1/4), 41.0 KiB (109.0 KiB unpacked) Retrieving: perl-Convert-BinHex-1.119-17.1.2.i586.rpm [done] Retrieving package perl-IO-stringy-2.110-152.1.2.i586 (2/4), 64.0 KiB (128.0 KiB unpacked) Retrieving: perl-IO-stringy-2.110-152.1.2.i586.rpm [done (0 B/s)] Retrieving package perl-MailTools-2.08-3.1.2.i586 (3/4), 97.0 KiB (197.0 KiB unpacked) Retrieving: perl-MailTools-2.08-3.1.2.i586.rpm [done] Retrieving package perl-MIME-tools-5.502-2.1.2.i586 (4/4), 225.0 KiB (513.0 KiB unpacked) Retrieving: perl-MIME-tools-5.502-2.1.2.i586.rpm [done] Installing: perl-Convert-BinHex-1.119-17.1.2 [done] Installing: perl-IO-stringy-2.110-152.1.2 [done] Installing: perl-MailTools-2.08-3.1.2 [done] Installing: perl-MIME-tools-5.502-2.1.2 [done]

root@bud:~ # zypper install perl-MIME-Types Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW package is going to be installed:

perl-MIME-Types

1 new package to install. Overall download size: 33.0 KiB. After the operation, additional 65.0 KiB will be used. Continue? [y/n/?] (y): y Retrieving package perl-MIME-Types-1.32-5.1.2.i586 (1/1), 33.0 KiB (65.0 KiB unpacked) Retrieving: perl-MIME-Types-1.32-5.1.2.i586.rpm [done (0 B/s)] Installing: perl-MIME-Types-1.32-5.1.2 [done]

root@bud:~ # zypper install perl-MIME-Lite Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW packages are going to be installed:

perl-Email-Date-Format perl-MIME-Lite

2 new packages to install. Overall download size: 95.0 KiB. After the operation, additional 214.0 KiB will be used. Continue? [y/n/?] (y): y Retrieving package perl-Email-Date-Format-1.002-19.1.2.noarch (1/2), 16.0 KiB (26.0 KiB unpacked) Retrieving: perl-Email-Date-Format-1.002-19.1.2.noarch.rpm [done] Retrieving package perl-MIME-Lite-3.027-11.1.3.i586 (2/2), 79.0 KiB (188.0 KiB unpacked) Retrieving: perl-MIME-Lite-3.027-11.1.3.i586.rpm [done] Installing: perl-Email-Date-Format-1.002-19.1.2 [done] Installing: perl-MIME-Lite-3.027-11.1.3 [done]

root@bud:~ # zypper install perl-MIME-Charset Loading repository data... Warning: Repository 'Updates for openSUSE 12.1 12.1-1.4' appears to outdated. Consider using a different mirror or server. Reading installed packages... Resolving package dependencies...

The following NEW package is going to be installed:

perl-MIME-Charset

1 new package to install. Overall download size: 40.0 KiB. After the operation, additional 98.0 KiB will be used. Continue? [y/n/?] (y): y Retrieving package perl-MIME-Charset-1.009.1-3.1.2.noarch (1/1), 40.0 KiB (98.0 KiB unpacked) Retrieving: perl-MIME-Charset-1.009.1-3.1.2.noarch.rpm [done] Installing: perl-MIME-Charset-1.009.1-3.1.2 [done]

 
build/inn.txt · Last modified: 2013/09/24 22:25 by SLUUG Administration
 
Except where otherwise noted, content on this wiki is licensed under the following license:CC Attribution-Share Alike 3.0 Unported
Recent changes RSS feed Donate Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki